Vue Component & Quasar App Extension ZHWebComponents for Quasar Version 2 (Vue 3)
npm add git+https://bitbucket.statistik.zh.ch/scm/fwwazh/d3chart.git

html:
```bash
<div id="svg" />
```

Javascript:
```bash
const data = [
  { geoLevelnummer: 1, stimmenProzent: 48.12992125984252, gebietAusgezaehlt: true, geoLevelname: 'Aeugst a.A.' },
  { geoLevelnummer: 2, stimmenProzent: 42.214199759326114, gebietAusgezaehlt: true, geoLevelname: 'Affoltern a.A.' },
  { geoLevelnummer: 3, stimmenProzent: 46.83968187526162, gebietAusgezaehlt: true, geoLevelname: 'Bonstetten' },
  ...
]

const defs = {
  url: 'https://cubmic.ch/map/data/gemeinde_20230101.geojson',
  bg: 'https://cubmic.ch/map/data/see_20200101.geojson',
  mapId: map => parseInt(map.GDE_ID),
  itemId: item => item.geoLevelnummer,
  value: item => item.stimmenProzent,
  striped: item => item.stimmenProzent && !item.gebietAusgezaehlt,
  hoverable: true,
  selectable: true,
  zoomable: true,
  ranges: [
    {
      label: 'Nein',
      values: [0, 50],
      colors: ['#b01657' + 'ff', '#b01657' + '66']
    },
    {
      label: 'Ja',
      values: [50, 100],
      colors: ['#00797b' + '66', '#00797b' + 'ff']
    }
  ],
  tooltip: item => {
    return '<div style="font-size:16px">' +
    `<span>${item.geoLevelname}</span>` +
    '<br>' +
    `<span style="font-weight:bold;">${item.stimmenProzent ? (item.stimmenProzent >= 50 ? `<span style="color:#00797b;">Ja ${(item.stimmenProzent - 50).toFixed(2)}%</span>` : `<span style="color:#b01657;">Nein ${(50 - item.stimmenProzent).toFixed(2)}%</span>`) : 'Noch keine Daten'}</span>` +
    '</div>'
  }
}

const chart = await init('#svg', data, defs)

// call download
chart.download('filename', 'Map Chart')

// update data
chart.update(newData)

// zoom in (need zoomable = true in defs)
chart.zoomIn()

// zoom in (need zoomable = true in defs)
chart.zoomOut()

// selectedId
chart.selectedId = 123

// selectedId callback function
chart.selectedIdCallback(id => {
  console.log(id)
})
```